--
-- File : Z:\master\pci-kortet-paaske\Default\genhdl\vhdl\ny_vhdl.vhd
-- CDB  : Z:\master\pci-kortet-paaske\pci-kort.cdb
-- By   : CDB2VHDL Netlister version 16.1.0.2
-- Time : Mon Apr 04 15:00:50 2005

-- Global package declaration

library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.std_logic_arith.all;

package CDB2VHDL_GLOBAL_SIGNALS is
    -- Global signal declarations
    signal GND : std_logic := '0';
    signal VCCINT : std_logic := '1';
    signal VCCAUX : std_logic := '1';
    signal VCCO : std_logic := '1';
    signal VCC : std_logic := '1';
    signal pl_12V : std_logic := '1';
    signal mi_12V : std_logic := '1';
end CDB2VHDL_GLOBAL_SIGNALS;

-- Entity/architecture declarations

library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.std_logic_arith.all;

use work.CDB2VHDL_GLOBAL_SIGNALS.all;

entity Avkopling is
end Avkopling;

architecture Avkopling of Avkopling is
    -- Component declarations
    component CAP
        port(
            B1 : inout std_logic;
            B2 : inout std_logic
        );
    end component;
    component elektrolyttkondensator_mi_part
        port(
            Pluss : inout std_logic;
            Minus : inout std_logic
        );
    end component;
    component RES
        port(
            B1 : inout std_logic;
            B2 : inout std_logic
        );
    end component;
    -- Signal declarations
begin
    -- Signal assignments
    -- Component instances
    XCMP5 : CAP
        port map(
            B1 => VCCINT,
            B2 => GND
        );
    XCMP6 : CAP
        port map(
            B1 => VCCINT,
            B2 => GND
        );
    XCMP11 : CAP
        port map(
            B1 => VCCO,
            B2 => GND
        );
    XCMP12 : CAP
        port map(
            B1 => VCCO,
            B2 => GND
        );
    XCMP15 : CAP
        port map(
            B1 => VCCAUX,
            B2 => GND
        );
    XCMP16 : CAP
        port map(
            B1 => VCCAUX,
            B2 => GND
        );
    XCMP21 : CAP
        port map(
            B1 => VCCINT,
            B2 => GND
        );
    XCMP22 : CAP
        port map(
            B1 => VCCAUX,
            B2 => GND
        );
    XCMP23 : CAP
        port map(
            B1 => VCCO,
            B2 => GND
        );
    XCMP24 : elektrolyttkondensator_mi_part
        port map(
            Pluss => VCCINT,
            Minus => GND
        );
    XCMP25 : elektrolyttkondensator_mi_part
        port map(
            Pluss => VCCAUX,
            Minus => GND
        );
    XCMP26 : elektrolyttkondensator_mi_part
        port map(
            Pluss => VCCO,
            Minus => GND
        );
    XCMP27 : elektrolyttkondensator_mi_part
        port map(
            Pluss => VCCINT,
            Minus => GND
        );
    XCMP28 : RES
        port map(
            B1 => VCCO,
            B2 => open
        );
    XCMP29 : RES
        port map(
            B1 => VCCO,
            B2 => open
        );
    XCMP30 : RES
        port map(
            B1 => VCCO,
            B2 => open
        );
    XCMP31 : CAP
        port map(
            B1 => VCCINT,
            B2 => GND
        );
    XCMP32 : CAP
        port map(
            B1 => VCCINT,
            B2 => GND
        );
    XCMP33 : CAP
        port map(
            B1 => VCCINT,
            B2 => GND
        );
    XCMP34 : elektrolyttkondensator_mi_part
        port map(
            Pluss => VCCO,
            Minus => GND
        );
    XCMP35 : CAP
        port map(
            B1 => VCCO,
            B2 => GND
        );
    XCMP36 : CAP
        port map(
            B1 => VCCO,
            B2 => GND
        );
    XCMP37 : CAP
        port map(
            B1 => VCCO,
            B2 => GND
        );
end Avkopling;

library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.std_logic_arith.all;

use work.CDB2VHDL_GLOBAL_SIGNALS.all;

entity Regulering is
end Regulering;

architecture Regulering of Regulering is
    -- Component declarations
    component MIC29302
        port(
            VIN : in std_logic;
            EN : in std_logic;
            GND_1 : in std_logic;
            GND_2 : in std_logic;
            ADJ : in std_logic;
            V_OUT : in std_logic
        );
    end component;
    component RES
        port(
            B1 : inout std_logic;
            B2 : inout std_logic
        );
    end component;
    component CAP
        port(
            B1 : inout std_logic;
            B2 : inout std_logic
        );
    end component;
    -- Signal declarations
    signal XSIG010002 : std_logic;
    signal XSIG010007 : std_logic;
    signal XSIG010042 : std_logic;
begin
    -- Signal assignments
    -- Component instances
    XCMP1 : MIC29302
        port map(
            VIN => VCCO,
            EN => XSIG010002,
            GND_1 => GND,
            GND_2 => GND,
            ADJ => VCCINT,
            V_OUT => VCCINT
        );
    XCMP2 : RES
        port map(
            B1 => VCCO,
            B2 => XSIG010002
        );
    XCMP3 : MIC29302
        port map(
            VIN => VCCO,
            EN => XSIG010007,
            GND_1 => GND,
            GND_2 => GND,
            ADJ => XSIG010042,
            V_OUT => VCCAUX
        );
    XCMP4 : RES
        port map(
            B1 => VCCO,
            B2 => XSIG010007
        );
    XCMP5 : RES
        port map(
            B1 => VCCAUX,
            B2 => XSIG010042
        );
    XCMP6 : RES
        port map(
            B1 => XSIG010042,
            B2 => GND
        );
    XCMP13 : CAP
        port map(
            B1 => VCCINT,
            B2 => GND
        );
    XCMP14 : CAP
        port map(
            B1 => VCCAUX,
            B2 => GND
        );
    XCMP16 : CAP
        port map(
            B1 => VCCO,
            B2 => GND
        );
    XCMP19 : CAP
        port map(
            B1 => VCCO,
            B2 => GND
        );
    XCMP20 : CAP
        port map(
            B1 => VCCO,
            B2 => GND
        );
    XCMP24 : CAP
        port map(
            B1 => VCCO,
            B2 => GND
        );
end Regulering;

library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.std_logic_arith.all;

use work.CDB2VHDL_GLOBAL_SIGNALS.all;

entity Xilinx_mi_power is
end Xilinx_mi_power;

architecture Xilinx_mi_power of Xilinx_mi_power is
    -- Component declarations
    component virtex4_mi_part
        port(
            GND_33 : in std_logic;
            GND_45 : in std_logic;
            GND_4 : in std_logic;
            GND_83 : in std_logic;
            GND_79 : in std_logic;
            GND_13 : in std_logic;
            GND_32 : in std_logic;
            GND_64 : in std_logic;
            GND_76 : in std_logic;
            GND_82 : in std_logic;
            GND_14_AD9 : in std_logic;
            GND_3 : in std_logic;
            GND_6 : in std_logic;
            GND_85 : in std_logic;
            GND_89 : in std_logic;
            GND_44 : in std_logic;
            GND_56 : in std_logic;
            GND_7 : in std_logic;
            GND_86 : in std_logic;
            GND_1 : in std_logic;
            GND_5 : in std_logic;
            GND_84 : in std_logic;
            GND_87 : in std_logic;
            GND_75 : in std_logic;
            GND_8 : in std_logic;
            GND_14_C9 : in std_logic;
            GND_25 : in std_logic;
            GND_57 : in std_logic;
            GND_77 : in std_logic;
            GND_11 : in std_logic;
            GND_34 : in std_logic;
            GND_46 : in std_logic;
            GND_80 : in std_logic;
            GND_9 : in std_logic;
            GND_19 : in std_logic;
            GND_26 : in std_logic;
            GND_35 : in std_logic;
            GND_47 : in std_logic;
            GND_58 : in std_logic;
            GND_65 : in std_logic;
            GND_27 : in std_logic;
            GND_36 : in std_logic;
            GND_48 : in std_logic;
            GND_59 : in std_logic;
            GND_15 : in std_logic;
            GND_20 : in std_logic;
            GND_37 : in std_logic;
            GND_49 : in std_logic;
            GND_66 : in std_logic;
            GND_71 : in std_logic;
            GND_16 : in std_logic;
            GND_21 : in std_logic;
            GND_28 : in std_logic;
            GND_38 : in std_logic;
            GND_50 : in std_logic;
            GND_60 : in std_logic;
            GND_67 : in std_logic;
            GND_72 : in std_logic;
            GND_88 : in std_logic;
            GND_12 : in std_logic;
            GND_2 : in std_logic;
            GND_17 : in std_logic;
            GND_22 : in std_logic;
            GND_29 : in std_logic;
            GND_39 : in std_logic;
            GND_51 : in std_logic;
            GND_61 : in std_logic;
            GND_68 : in std_logic;
            GND_73 : in std_logic;
            GND_78 : in std_logic;
            GND_18 : in std_logic;
            GND_23 : in std_logic;
            GND_40 : in std_logic;
            GND_52 : in std_logic;
            GND_69 : in std_logic;
            GND_74 : in std_logic;
            GND_30 : in std_logic;
            GND_41 : in std_logic;
            GND_53 : in std_logic;
            GND_62 : in std_logic;
            GND_24 : in std_logic;
            GND_31 : in std_logic;
            GND_42 : in std_logic;
            GND_54 : in std_logic;
            GND_63 : in std_logic;
            GND_70 : in std_logic;
            GND_43 : in std_logic;
            GND_55 : in std_logic;
            GND_81 : in std_logic;
            GND_10 : in std_logic;
            VCCINT_5 : in std_logic;
            VCCINT_11 : in std_logic;
            VCCINT_19 : in std_logic;
            VCCINT_23 : in std_logic;
            VCCINT_6 : in std_logic;
            VCCINT_24 : in std_logic;
            VCCINT_29 : in std_logic;
            VCCINT_1 : in std_logic;
            VCCINT_7 : in std_logic;
            VCCINT_12 : in std_logic;
            VCCINT_20 : in std_logic;
            VCCINT_25 : in std_logic;
            VCCINT_30 : in std_logic;
            VCCINT_2 : in std_logic;
            VCCINT_15 : in std_logic;
            VCCINT_17 : in std_logic;
            VCCINT_16 : in std_logic;
            VCCINT_18 : in std_logic;
            VCCINT_8 : in std_logic;
            VCCINT_13 : in std_logic;
            VCCINT_21 : in std_logic;
            VCCINT_26 : in std_logic;
            VCCINT_31 : in std_logic;
            VCCINT_3 : in std_logic;
            VCCINT_9 : in std_logic;
            VCCINT_27 : in std_logic;
            VCCINT_32 : in std_logic;
            VCCINT_4 : in std_logic;
            VCCINT_10 : in std_logic;
            VCCINT_14 : in std_logic;
            VCCINT_22 : in std_logic;
            VCCINT_28 : in std_logic;
            VCCAUX_5 : in std_logic;
            VCCAUX_9 : in std_logic;
            VCCAUX_11 : in std_logic;
            VCCAUX_7 : in std_logic;
            VCCAUX_1 : in std_logic;
            VCCAUX_12 : in std_logic;
            VCCAUX_2 : in std_logic;
            VCCAUX_13 : in std_logic;
            VCCAUX_3 : in std_logic;
            VCCAUX_14 : in std_logic;
            VCCAUX_8 : in std_logic;
            VCCAUX_4 : in std_logic;
            VCCAUX_6 : in std_logic;
            VCCAUX_10 : in std_logic;
            VREFN_SM : in std_logic;
            VREFP_SM : in std_logic;
            AVSS_SM : in std_logic;
            VN_SM : in std_logic;
            VP_SM : in std_logic;
            AVDD_SM : in std_logic
        );
    end component;
    component Powerconnector
        port(
            x_3_pd_3V : in std_logic;
            GND : in std_logic
        );
    end component;
    -- Signal declarations
begin
    -- Signal assignments
    -- Component instances
    XCMP1 : virtex4_mi_part
        port map(
            GND_33 => GND,
            GND_45 => GND,
            GND_4 => GND,
            GND_83 => GND,
            GND_79 => GND,
            GND_13 => GND,
            GND_32 => GND,
            GND_64 => GND,
            GND_76 => GND,
            GND_82 => GND,
            GND_14_AD9 => GND,
            GND_3 => GND,
            GND_6 => GND,
            GND_85 => GND,
            GND_89 => GND,
            GND_44 => GND,
            GND_56 => GND,
            GND_7 => GND,
            GND_86 => GND,
            GND_1 => GND,
            GND_5 => GND,
            GND_84 => GND,
            GND_87 => GND,
            GND_75 => GND,
            GND_8 => GND,
            GND_14_C9 => GND,
            GND_25 => GND,
            GND_57 => GND,
            GND_77 => GND,
            GND_11 => GND,
            GND_34 => GND,
            GND_46 => GND,
            GND_80 => GND,
            GND_9 => GND,
            GND_19 => GND,
            GND_26 => GND,
            GND_35 => GND,
            GND_47 => GND,
            GND_58 => GND,
            GND_65 => GND,
            GND_27 => GND,
            GND_36 => GND,
            GND_48 => GND,
            GND_59 => GND,
            GND_15 => GND,
            GND_20 => GND,
            GND_37 => GND,
            GND_49 => GND,
            GND_66 => GND,
            GND_71 => GND,
            GND_16 => GND,
            GND_21 => GND,
            GND_28 => GND,
            GND_38 => GND,
            GND_50 => GND,
            GND_60 => GND,
            GND_67 => GND,
            GND_72 => GND,
            GND_88 => GND,
            GND_12 => GND,
            GND_2 => GND,
            GND_17 => GND,
            GND_22 => GND,
            GND_29 => GND,
            GND_39 => GND,
            GND_51 => GND,
            GND_61 => GND,
            GND_68 => GND,
            GND_73 => GND,
            GND_78 => GND,
            GND_18 => GND,
            GND_23 => GND,
            GND_40 => GND,
            GND_52 => GND,
            GND_69 => GND,
            GND_74 => GND,
            GND_30 => GND,
            GND_41 => GND,
            GND_53 => GND,
            GND_62 => GND,
            GND_24 => GND,
            GND_31 => GND,
            GND_42 => GND,
            GND_54 => GND,
            GND_63 => GND,
            GND_70 => GND,
            GND_43 => GND,
            GND_55 => GND,
            GND_81 => GND,
            GND_10 => GND,
            VCCINT_5 => VCCINT,
            VCCINT_11 => VCCINT,
            VCCINT_19 => VCCINT,
            VCCINT_23 => VCCINT,
            VCCINT_6 => VCCINT,
            VCCINT_24 => VCCINT,
            VCCINT_29 => VCCINT,
            VCCINT_1 => VCCINT,
            VCCINT_7 => VCCINT,
            VCCINT_12 => VCCINT,
            VCCINT_20 => VCCINT,
            VCCINT_25 => VCCINT,
            VCCINT_30 => VCCINT,
            VCCINT_2 => VCCINT,
            VCCINT_15 => VCCINT,
            VCCINT_17 => VCCINT,
            VCCINT_16 => VCCINT,
            VCCINT_18 => VCCINT,
            VCCINT_8 => VCCINT,
            VCCINT_13 => VCCINT,
            VCCINT_21 => VCCINT,
            VCCINT_26 => VCCINT,
            VCCINT_31 => VCCINT,
            VCCINT_3 => VCCINT,
            VCCINT_9 => VCCINT,
            VCCINT_27 => VCCINT,
            VCCINT_32 => VCCINT,
            VCCINT_4 => VCCINT,
            VCCINT_10 => VCCINT,
            VCCINT_14 => VCCINT,
            VCCINT_22 => VCCINT,
            VCCINT_28 => VCCINT,
            VCCAUX_5 => VCCAUX,
            VCCAUX_9 => VCCAUX,
            VCCAUX_11 => VCCAUX,
            VCCAUX_7 => VCCAUX,
            VCCAUX_1 => VCCAUX,
            VCCAUX_12 => VCCAUX,
            VCCAUX_2 => VCCAUX,
            VCCAUX_13 => VCCAUX,
            VCCAUX_3 => VCCAUX,
            VCCAUX_14 => VCCAUX,
            VCCAUX_8 => VCCAUX,
            VCCAUX_4 => VCCAUX,
            VCCAUX_6 => VCCAUX,
            VCCAUX_10 => VCCAUX,
            VREFN_SM => open,
            VREFP_SM => open,
            AVSS_SM => open,
            VN_SM => open,
            VP_SM => open,
            AVDD_SM => open
        );
    XCMP2 : virtex4_mi_part
        port map(
            VCCO_0_1 => VCCO,
            VCCO_0_2 => VCCO,
            VCCO_1_1 => VCCO,
            VCCO_1_2 => VCCO
        );
    XCMP4 : virtex4_mi_part
        port map(
            VCCO_2_1 => VCCO,
            VCCO_2_2 => VCCO,
            VCCO_3_1 => VCCO,
            VCCO_3_2 => VCCO
        );
    XCMP5 : virtex4_mi_part
        port map(
            VCCO_4_1 => VCCO,
            VCCO_4_2 => VCCO,
            VCCO_5_1 => VCCO,
            VCCO_5_2 => VCCO,
            VCCO_5_3 => VCCO,
            VCCO_5_4 => VCCO,
            VCCO_5_5 => VCCO,
            VCCO_5_6 => VCCO,
            VCCO_5_7 => VCCO,
            VCCO_5_8 => VCCO
        );
    XCMP6 : virtex4_mi_part
        port map(
            VCCO_6_1 => VCCO,
            VCCO_6_2 => VCCO,
            VCCO_6_3 => VCCO,
            VCCO_6_4 => VCCO,
            VCCO_6_5 => VCCO,
            VCCO_6_6 => VCCO,
            VCCO_6_7 => VCCO,
            VCCO_6_8 => VCCO,
            VCCO_7_1 => VCCO,
            VCCO_7_2 => VCCO,
            VCCO_7_3 => VCCO,
            VCCO_7_4 => VCCO,
            VCCO_7_5 => VCCO,
            VCCO_7_6 => VCCO,
            VCCO_7_7 => VCCO,
            VCCO_7_8 => VCCO
        );
    XCMP7 : virtex4_mi_part
        port map(
            VCCO_8_1 => VCCO,
            VCCO_8_2 => VCCO,
            VCCO_8_3 => VCCO,
            VCCO_8_4 => VCCO,
            VCCO_8_5 => VCCO,
            VCCO_8_6 => VCCO,
            VCCO_8_7 => VCCO,
            VCCO_8_8 => VCCO,
            VCCO_9_1 => VCCO,
            VCCO_9_2 => VCCO,
            VCCO_9_3 => VCCO,
            VCCO_9_4 => VCCO,
            VCCO_9_5 => VCCO,
            VCCO_9_6 => VCCO,
            VCCO_9_7 => VCCO,
            VCCO_9_8 => VCCO
        );
    XCMP8 : Powerconnector
        port map(
            x_3_pd_3V => VCCO,
            GND => GND
        );
    XCMP9 : virtex4_mi_part
        port map(
            VCCO_10_N1 => VCCO,
            VCCO_10_L2 => VCCO,
            VCCO_10_T2 => VCCO,
            VCCO_10_L5 => VCCO,
            VCCO_10_T5 => VCCO,
            VCCO_10_K8 => VCCO,
            VCCO_10_U8 => VCCO,
            VCCO_10_R9 => VCCO
        );
end Xilinx_mi_power;

library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.std_logic_arith.all;

use work.CDB2VHDL_GLOBAL_SIGNALS.all;

entity PCI_mi_interfacing is
end PCI_mi_interfacing;

architecture PCI_mi_interfacing of PCI_mi_interfacing is
    -- Component declarations
    component PCI_OUTPUT
        port(
            TRST_pn : inout std_logic;
            ACK64_pn : inout std_logic;
            AD : inout std_logic_vector(0 to 0);
            AD : inout std_logic_vector(1 to 1);
            AD : inout std_logic_vector(2 to 2);
            AD : inout std_logic_vector(3 to 3);
            AD : inout std_logic_vector(4 to 4);
            AD : inout std_logic_vector(5 to 5);
            AD : inout std_logic_vector(6 to 6);
            AD : inout std_logic_vector(7 to 7);
            AD : inout std_logic_vector(8 to 8);
            AD : inout std_logic_vector(9 to 9);
            AD : inout std_logic_vector(10 to 10);
            AD : inout std_logic_vector(11 to 11);
            AD : inout std_logic_vector(12 to 12);
            AD : inout std_logic_vector(13 to 13);
            AD : inout std_logic_vector(14 to 14);
            AD : inout std_logic_vector(15 to 15);
            AD : inout std_logic_vector(16 to 16);
            AD : inout std_logic_vector(17 to 17);
            AD : inout std_logic_vector(18 to 18);
            AD : inout std_logic_vector(19 to 19);
            AD : inout std_logic_vector(20 to 20);
            AD : inout std_logic_vector(21 to 21);
            AD : inout std_logic_vector(22 to 22);
            AD : inout std_logic_vector(23 to 23);
            AD : inout std_logic_vector(24 to 24);
            AD : inout std_logic_vector(25 to 25);
            AD : inout std_logic_vector(26 to 26);
            AD : inout std_logic_vector(27 to 27);
            AD : inout std_logic_vector(28 to 28);
            AD : inout std_logic_vector(29 to 29);
            AD : inout std_logic_vector(30 to 30);
            AD : inout std_logic_vector(31 to 31);
            AD : inout std_logic_vector(32 to 32);
            AD : inout std_logic_vector(33 to 33);
            AD : inout std_logic_vector(34 to 34);
            AD : inout std_logic_vector(35 to 35);
            AD : inout std_logic_vector(36 to 36);
            AD : inout std_logic_vector(37 to 37);
            AD : inout std_logic_vector(38 to 38);
            AD : inout std_logic_vector(39 to 39);
            AD : inout std_logic_vector(40 to 40);
            AD : inout std_logic_vector(41 to 41);
            AD : inout std_logic_vector(42 to 42);
            AD : inout std_logic_vector(43 to 43);
            AD : inout std_logic_vector(44 to 44);
            AD : inout std_logic_vector(45 to 45);
            AD : inout std_logic_vector(46 to 46);
            AD : inout std_logic_vector(47 to 47);
            AD : inout std_logic_vector(48 to 48);
            AD : inout std_logic_vector(49 to 49);
            AD : inout std_logic_vector(50 to 50);
            AD : inout std_logic_vector(51 to 51);
            AD : inout std_logic_vector(52 to 52);
            AD : inout std_logic_vector(53 to 53);
            AD : inout std_logic_vector(54 to 54);
            AD : inout std_logic_vector(55 to 55);
            AD : inout std_logic_vector(56 to 56);
            AD : inout std_logic_vector(57 to 57);
            AD : inout std_logic_vector(58 to 58);
            AD : inout std_logic_vector(59 to 59);
            AD : inout std_logic_vector(60 to 60);
            AD : inout std_logic_vector(61 to 61);
            AD : inout std_logic_vector(62 to 62);
            AD : inout std_logic_vector(63 to 63);
            C_sl_BE : inout std_logic_vector(0 to 0);
            C_sl_BE : inout std_logic_vector(1 to 1);
            C_sl_BE : inout std_logic_vector(2 to 2);
            C_sl_BE : inout std_logic_vector(3 to 3);
            C_sl_BE : inout std_logic_vector(4 to 4);
            C_sl_BE : inout std_logic_vector(5 to 5);
            C_sl_BE : inout std_logic_vector(6 to 6);
            C_sl_BE : inout std_logic_vector(7 to 7);
            CLK : inout std_logic;
            DEVSEL_pn : inout std_logic;
            FRAME_pn : inout std_logic;
            GNT_pn : inout std_logic;
            IDSEL : inout std_logic;
            INTA_pn : inout std_logic;
            INTB_pn : inout std_logic;
            INTC_pn : inout std_logic;
            INTD_pn : inout std_logic;
            IRDY_pn : inout std_logic;
            LOCK_pn : inout std_logic;
            M66EN : inout std_logic;
            PAR : inout std_logic;
            PAR64 : inout std_logic;
            PERR_pn : inout std_logic;
            PME_pn : inout std_logic;
            PRSNT1_pn : inout std_logic;
            PRSNT2_pn : inout std_logic;
            REQ_pn : inout std_logic;
            REQ64_pn : inout std_logic;
            Reserved_1 : inout std_logic;
            Reserved_2 : inout std_logic;
            Reserved_3 : inout std_logic;
            Reserved_4 : inout std_logic;
            Reserved_5 : inout std_logic;
            Reserved_6 : inout std_logic;
            Reserved_7 : inout std_logic;
            Reserved_8 : inout std_logic;
            Reserved_9 : inout std_logic;
            Reserved_as_1 : inout std_logic;
            Reserved_as_2 : inout std_logic;
            RST_pn : inout std_logic;
            SERR_pn : inout std_logic;
            STOP_pn : inout std_logic;
            TCK : inout std_logic;
            TDI : inout std_logic;
            TDO : inout std_logic;
            TMS : inout std_logic;
            TRDY_pn : inout std_logic;
            mi_12V : inout std_logic;
            pl_12V : inout std_logic;
            pl_3_pd_3V_1 : inout std_logic;
            pl_3_pd_3V_2 : inout std_logic;
            pl_3_pd_3V_3 : inout std_logic;
            pl_3_pd_3V_4 : inout std_logic;
            pl_3_pd_3V_5 : inout std_logic;
            pl_3_pd_3V_6 : inout std_logic;
            pl_3_pd_3V_7 : inout std_logic;
            pl_3_pd_3V_8 : inout std_logic;
            pl_3_pd_3V_9 : inout std_logic;
            pl_3_pd_3V_10 : inout std_logic;
            pl_3_pd_3V_11 : inout std_logic;
            pl_3_pd_3V_12 : inout std_logic;
            pl_3_pd_3V_lp_I_sl_O_rp_1 : inout std_logic_vector(-1 downto 0);
            pl_3_pd_3V_lp_I_sl_O_rp_2 : inout std_logic_vector(-1 downto 0);
            pl_3_pd_3V_lp_I_sl_O_rp_3 : inout std_logic_vector(-1 downto 0);
            pl_3_pd_3V_lp_I_sl_O_rp_4 : inout std_logic_vector(-1 downto 0);
            pl_3_pd_3V_lp_I_sl_O_rp_5 : inout std_logic_vector(-1 downto 0);
            pl_3_pd_3V_lp_I_sl_O_rp_6 : inout std_logic_vector(-1 downto 0);
            pl_3_pd_3V_lp_I_sl_O_rp_7 : inout std_logic_vector(-1 downto 0);
            pl_3_pd_3V_lp_I_sl_O_rp_8 : inout std_logic_vector(-1 downto 0);
            pl_3_pd_3V_lp_I_sl_O_rp_9 : inout std_logic_vector(-1 downto 0);
            pl_3_pd_3V_lp_I_sl_O_rp_10 : inout std_logic_vector(-1 downto 0);
            pl_3_pd_3V_lp_I_sl_O_rp_11 : inout std_logic_vector(-1 downto 0);
            pl_5V_1 : inout std_logic;
            pl_5V_2 : inout std_logic;
            pl_5V_3 : inout std_logic;
            pl_5V_4 : inout std_logic;
            pl_5V_5 : inout std_logic;
            pl_5V_6 : inout std_logic;
            pl_5V_7 : inout std_logic;
            pl_5V_8 : inout std_logic;
            x_3_pd_3Vaux : inout std_logic;
            Ground_1 : inout std_logic;
            Ground_2 : inout std_logic;
            Ground_3 : inout std_logic;
            Ground_4 : inout std_logic;
            Ground_5 : inout std_logic;
            Ground_6 : inout std_logic;
            Ground_7 : inout std_logic;
            Ground_8 : inout std_logic;
            Ground_9 : inout std_logic;
            Ground_10 : inout std_logic;
            Ground_11 : inout std_logic;
            Ground_12 : inout std_logic;
            Ground_13 : inout std_logic;
            Ground_14 : inout std_logic;
            Ground_15 : inout std_logic;
            Ground_16 : inout std_logic;
            Ground_17 : inout std_logic;
            Ground_18 : inout std_logic;
            Ground_19 : inout std_logic;
            Ground_20 : inout std_logic;
            Ground_21 : inout std_logic;
            Ground_22 : inout std_logic;
            Ground_23 : inout std_logic;
            Ground_24 : inout std_logic;
            Ground_25 : inout std_logic;
            Ground_26 : inout std_logic;
            Ground_27 : inout std_logic;
            Ground_28 : inout std_logic;
            Ground_29 : inout std_logic;
            Ground_30 : inout std_logic;
            Ground_31 : inout std_logic;
            Ground_32 : inout std_logic;
            Ground_33 : inout std_logic;
            Ground_34 : inout std_logic;
            Ground_35 : inout std_logic;
            Ground_36 : inout std_logic;
            Ground_37 : inout std_logic
        );
    end component;
    component virtex4_mi_part
        port(
            IO_L1P_GC_LC_4 : inout std_logic;
            IO_L1N_GC_LC_4 : inout std_logic;
            IO_L2P_GC_LC_4 : inout std_logic;
            IO_L2N_GC_LC_4 : inout std_logic;
            IO_L3P_GC_LC_4 : inout std_logic;
            IO_L3N_GC_LC_4 : inout std_logic;
            IO_L4P_GC_LC_4 : inout std_logic;
            IO_L4N_GC_VREF_LC_4 : inout std_logic;
            IO_L5P_GC_LC_4 : inout std_logic;
            IO_L5N_GC_LC_4 : inout std_logic;
            IO_L6P_GC_LC_4 : inout std_logic;
            IO_L6N_GC_LC_4 : inout std_logic;
            IO_L7P_GC_VRN_LC_4 : inout std_logic;
            IO_L7N_GC_VRP_LC_4 : inout std_logic;
            IO_L8P_GC_CC_LC_4 : inout std_logic;
            IO_L8N_GC_CC_LC_4 : inout std_logic;
            IO_L1P_5 : inout std_logic;
            IO_L1N_5 : inout std_logic;
            IO_L2P_5 : inout std_logic;
            IO_L2N_5 : inout std_logic;
            IO_L3P_5 : inout std_logic;
            IO_L3N_5 : inout std_logic;
            IO_L4P_5 : inout std_logic;
            IO_L4N_VREF_5 : inout std_logic;
            IO_L5P_5 : inout std_logic;
            IO_L5N_5 : inout std_logic;
            IO_L6P_5 : inout std_logic;
            IO_L6N_5 : inout std_logic;
            IO_L7P_5 : inout std_logic;
            IO_L7N_5 : inout std_logic;
            IO_L8P_CC_LC_5 : inout std_logic;
            IO_L8N_CC_LC_5 : inout std_logic;
            IO_L17P_5 : inout std_logic;
            IO_L17N_5 : inout std_logic;
            IO_L18P_5 : inout std_logic;
            IO_L18N_5 : inout std_logic;
            IO_L19P_5 : inout std_logic;
            IO_L19N_5 : inout std_logic;
            IO_L20P_5 : inout std_logic;
            IO_L20N_VREF_5 : inout std_logic;
            IO_L21P_5 : inout std_logic;
            IO_L21N_5 : inout std_logic;
            IO_L22P_5 : inout std_logic;
            IO_L22N_5 : inout std_logic;
            IO_L23P_VRN_5 : inout std_logic;
            IO_L23N_VRP_5 : inout std_logic;
            IO_L24P_CC_LC_5 : inout std_logic;
            IO_L24N_CC_LC_5 : inout std_logic;
            IO_L9P_CC_LC_5 : inout std_logic;
            IO_L9N_CC_LC_5 : inout std_logic;
            IO_L10P_5 : inout std_logic;
            IO_L10N_5 : inout std_logic;
            IO_L11P_5 : inout std_logic;
            IO_L11N_5 : inout std_logic;
            IO_L12P_5 : inout std_logic;
            IO_L12N_VREF_5 : inout std_logic;
            IO_L13P_5 : inout std_logic;
            IO_L13N_5 : inout std_logic;
            IO_L14P_5 : inout std_logic;
            IO_L14N_5 : inout std_logic;
            IO_L15P_5 : inout std_logic;
            IO_L15N_5 : inout std_logic;
            IO_L16P_5 : inout std_logic;
            IO_L16N_5 : inout std_logic;
            IO_L25P_CC_LC_5 : inout std_logic;
            IO_L25N_CC_LC_5 : inout std_logic;
            IO_L26P_5 : inout std_logic;
            IO_L26N_5 : inout std_logic;
            IO_L27P_5 : inout std_logic;
            IO_L27N_5 : inout std_logic;
            IO_L28P_5 : inout std_logic;
            IO_L28N_VREF_5 : inout std_logic;
            IO_L29P_5 : inout std_logic;
            IO_L29N_5 : inout std_logic;
            IO_L30P_5 : inout std_logic;
            IO_L30N_5 : inout std_logic;
            IO_L31P_5 : inout std_logic;
            IO_L31N_5 : inout std_logic;
            IO_L32P_5 : inout std_logic;
            IO_L32N_5 : inout std_logic
        );
    end component;
    component RES
        port(
            B1 : inout std_logic;
            B2 : inout std_logic
        );
    end component;
    component MinDiode
        port(
            x_1 : inout std_logic;
            x_2 : inout std_logic
        );
    end component;
    component CMC_SIU_1
        port(
            BUSMODE1_pn : inout std_logic;
            FBCTRL_N : inout std_logic;
            FBD00 : inout std_logic;
            FBD01 : inout std_logic;
            FBD02 : inout std_logic;
            FBD03 : inout std_logic;
            FBD04 : inout std_logic;
            FBD05 : inout std_logic;
            FBD06 : inout std_logic;
            FBD07 : inout std_logic;
            FBD08 : inout std_logic;
            FBD09 : inout std_logic;
            FBD10 : inout std_logic;
            FBD11 : inout std_logic;
            FBD12 : inout std_logic;
            FBD13 : inout std_logic;
            FBD14 : inout std_logic;
            FBD15 : inout std_logic;
            FBD16 : inout std_logic;
            FBD17 : inout std_logic;
            FBD18 : inout std_logic;
            FBD19 : inout std_logic;
            FBD20 : inout std_logic;
            FBD21 : inout std_logic;
            FBD22 : inout std_logic;
            FBD23 : inout std_logic;
            FBD24 : inout std_logic;
            FBD25 : inout std_logic;
            FBD26 : inout std_logic;
            FBD27 : inout std_logic;
            FBD28 : inout std_logic;
            FBD29 : inout std_logic;
            FBD30 : inout std_logic;
            FBD31 : inout std_logic;
            FBTEN_N : inout std_logic;
            FIBEN_N : inout std_logic;
            FIDIR : inout std_logic;
            FILF_N : inout std_logic;
            FOBSY_N : inout std_logic;
            FOCLK : inout std_logic
        );
    end component;
    component CMC_SIU_2
        port(
            BUSMODE2_pn : in std_logic;
            BUSMODE3_pn : in std_logic;
            BUSMODE4_pn : in std_logic;
            TAP_TCK : in std_logic;
            TAP_TDI : in std_logic;
            TAP_TDO : in std_logic;
            TAP_TMS : in std_logic;
            TAP_TRST : in std_logic
        );
    end component;
    -- Signal declarations
    signal ACK64N : std_logic;
    signal AD : std_logic_vector(0 to 63);
    signal CBEN : std_logic_vector(0 to 7);
    signal DEVSELN : std_logic;
    signal FOCLKNET : std_logic;
    signal FRAMEN : std_logic;
    signal GNTN : std_logic;
    signal IDSEL : std_logic;
    signal INTAN : std_logic;
    signal INTBN : std_logic;
    signal INTCN : std_logic;
    signal INTDN : std_logic;
    signal IRDYN : std_logic;
    signal LEDBUS : std_logic_vector(1 to 5);
    signal LOCKN : std_logic;
    signal M66EN : std_logic;
    signal PAR : std_logic;
    signal PAR64 : std_logic;
    signal PCI_TCK : std_logic;
    signal PCI_TDI : std_logic;
    signal PCI_TDO : std_logic;
    signal PCI_TMS : std_logic;
    signal PCI_TRDYN : std_logic;
    signal PCICLK : std_logic;
    signal PERRN : std_logic;
    signal PMEN : std_logic;
    signal PRSNT1N : std_logic;
    signal PRSNT2N : std_logic;
    signal REQ64N : std_logic;
    signal REQN : std_logic;
    signal RSTN : std_logic;
    signal SERRN : std_logic;
    signal STOPN : std_logic;
    signal TRSTN : std_logic;
    signal XSIG010259 : std_logic;
    signal XSIG010260 : std_logic;
    signal XSIG010261 : std_logic;
    signal XSIG010262 : std_logic;
    signal XSIG010268 : std_logic;
    signal XSIG010316 : std_logic;
    signal XSIG010317 : std_logic;
    signal XSIG010318 : std_logic;
    signal XSIG010319 : std_logic;
    signal XSIG010320 : std_logic;
    signal XSIG010321 : std_logic;
    signal XSIG010322 : std_logic;
    signal XSIG010323 : std_logic;
    signal XSIG010324 : std_logic;
    signal XSIG010325 : std_logic;
    signal XSIG010326 : std_logic;
    signal XSIG010327 : std_logic;
    signal XSIG010328 : std_logic;
    signal XSIG010329 : std_logic;
    signal XSIG010330 : std_logic;
    signal XSIG010331 : std_logic;
    signal XSIG010332 : std_logic;
    signal XSIG010333 : std_logic;
    signal XSIG010334 : std_logic;
    signal XSIG010335 : std_logic;
    signal XSIG010336 : std_logic;
    signal XSIG010337 : std_logic;
    signal XSIG010338 : std_logic;
    signal XSIG010339 : std_logic;
    signal XSIG010340 : std_logic;
    signal XSIG010341 : std_logic;
    signal XSIG010342 : std_logic;
    signal XSIG010343 : std_logic;
    signal XSIG010344 : std_logic;
    signal XSIG010345 : std_logic;
    signal XSIG010346 : std_logic;
    signal XSIG010347 : std_logic;
    signal XSIG010348 : std_logic;
    signal XSIG010349 : std_logic;
    signal XSIG010350 : std_logic;
    signal XSIG010351 : std_logic;
    signal XSIG010352 : std_logic;
    signal XSIG010353 : std_logic;
    signal XSIG010354 : std_logic;
    signal XSIG010381 : std_logic;
    signal XSIG010382 : std_logic;
    signal XSIG010383 : std_logic;
    signal XSIG010384 : std_logic;
    signal XSIG010385 : std_logic;
    signal XSIG010386 : std_logic;
    signal XSIG010387 : std_logic;
    signal XSIG010388 : std_logic;
    signal XSIG010423 : std_logic;
    signal XSIG010424 : std_logic;
    signal XSIG010425 : std_logic;
    signal XSIG010426 : std_logic;
begin
    -- Signal assignments
    -- Component instances
    XCMP1 : PCI_OUTPUT
        port map(
            TRST_pn => TRSTN,
            ACK64_pn => ACK64N,
            AD(0) => AD(0),
            AD(1) => AD(1),
            AD(2) => AD(2),
            AD(3) => AD(3),
            AD(4) => AD(4),
            AD(5) => AD(5),
            AD(6) => AD(6),
            AD(7) => AD(7),
            AD(8) => AD(8),
            AD(9) => AD(9),
            AD(10) => AD(10),
            AD(11) => AD(11),
            AD(12) => AD(12),
            AD(13) => AD(13),
            AD(14) => AD(14),
            AD(15) => AD(15),
            AD(16) => AD(16),
            AD(17) => AD(17),
            AD(18) => AD(18),
            AD(19) => AD(19),
            AD(20) => AD(20),
            AD(21) => AD(21),
            AD(22) => AD(22),
            AD(23) => AD(23),
            AD(24) => AD(24),
            AD(25) => AD(25),
            AD(26) => AD(26),
            AD(27) => AD(27),
            AD(28) => AD(28),
            AD(29) => AD(29),
            AD(30) => AD(30),
            AD(31) => AD(31),
            AD(32) => AD(32),
            AD(33) => AD(33),
            AD(34) => AD(34),
            AD(35) => AD(35),
            AD(36) => AD(36),
            AD(37) => AD(37),
            AD(38) => AD(38),
            AD(39) => AD(39),
            AD(40) => AD(40),
            AD(41) => AD(41),
            AD(42) => AD(42),
            AD(43) => AD(43),
            AD(44) => AD(44),
            AD(45) => AD(45),
            AD(46) => AD(46),
            AD(47) => AD(47),
            AD(48) => AD(48),
            AD(49) => AD(49),
            AD(50) => AD(50),
            AD(51) => AD(51),
            AD(52) => AD(52),
            AD(53) => AD(53),
            AD(54) => AD(54),
            AD(55) => AD(55),
            AD(56) => AD(56),
            AD(57) => AD(57),
            AD(58) => AD(58),
            AD(59) => AD(59),
            AD(60) => AD(60),
            AD(61) => AD(61),
            AD(62) => AD(62),
            AD(63) => AD(63),
            C_sl_BE(0) => CBEN(0),
            C_sl_BE(1) => CBEN(1),
            C_sl_BE(2) => CBEN(2),
            C_sl_BE(3) => CBEN(3),
            C_sl_BE(4) => CBEN(4),
            C_sl_BE(5) => CBEN(5),
            C_sl_BE(6) => CBEN(6),
            C_sl_BE(7) => CBEN(7),
            CLK => PCICLK,
            DEVSEL_pn => DEVSELN,
            FRAME_pn => FRAMEN,
            GNT_pn => GNTN,
            IDSEL => IDSEL,
            INTA_pn => INTAN,
            INTB_pn => INTBN,
            INTC_pn => INTCN,
            INTD_pn => INTDN,
            IRDY_pn => IRDYN,
            LOCK_pn => LOCKN,
            M66EN => M66EN,
            PAR => PAR,
            PAR64 => PAR64,
            PERR_pn => PERRN,
            PME_pn => PMEN,
            PRSNT1_pn => PRSNT1N,
            PRSNT2_pn => PRSNT2N,
            REQ_pn => REQN,
            REQ64_pn => REQ64N,
            Reserved_1 => open,
            Reserved_2 => open,
            Reserved_3 => open,
            Reserved_4 => open,
            Reserved_5 => open,
            Reserved_6 => open,
            Reserved_7 => open,
            Reserved_8 => open,
            Reserved_9 => open,
            Reserved_as_1 => open,
            Reserved_as_2 => open,
            RST_pn => RSTN,
            SERR_pn => SERRN,
            STOP_pn => STOPN,
            TCK => PCI_TCK,
            TDI => PCI_TDI,
            TDO => PCI_TDO,
            TMS => PCI_TMS,
            TRDY_pn => PCI_TRDYN,
            mi_12V => mi_12V,
            pl_12V => pl_12V,
            pl_3_pd_3V_1 => VCCO,
            pl_3_pd_3V_2 => VCCO,
            pl_3_pd_3V_3 => VCCO,
            pl_3_pd_3V_4 => VCCO,
            pl_3_pd_3V_5 => VCCO,
            pl_3_pd_3V_6 => VCCO,
            pl_3_pd_3V_7 => VCCO,
            pl_3_pd_3V_8 => VCCO,
            pl_3_pd_3V_9 => VCCO,
            pl_3_pd_3V_10 => VCCO,
            pl_3_pd_3V_11 => VCCO,
            pl_3_pd_3V_12 => VCCO,
            pl_3_pd_3V_lp_I_sl_O_rp_1 => open,
            pl_3_pd_3V_lp_I_sl_O_rp_2 => open,
            pl_3_pd_3V_lp_I_sl_O_rp_3 => open,
            pl_3_pd_3V_lp_I_sl_O_rp_4 => open,
            pl_3_pd_3V_lp_I_sl_O_rp_5 => open,
            pl_3_pd_3V_lp_I_sl_O_rp_6 => open,
            pl_3_pd_3V_lp_I_sl_O_rp_7 => open,
            pl_3_pd_3V_lp_I_sl_O_rp_8 => open,
            pl_3_pd_3V_lp_I_sl_O_rp_9 => open,
            pl_3_pd_3V_lp_I_sl_O_rp_10 => open,
            pl_3_pd_3V_lp_I_sl_O_rp_11 => open,
            pl_5V_1 => VCC,
            pl_5V_2 => VCC,
            pl_5V_3 => VCC,
            pl_5V_4 => VCC,
            pl_5V_5 => VCC,
            pl_5V_6 => VCC,
            pl_5V_7 => VCC,
            pl_5V_8 => VCC,
            x_3_pd_3Vaux => open,
            Ground_1 => GND,
            Ground_2 => GND,
            Ground_3 => GND,
            Ground_4 => GND,
            Ground_5 => GND,
            Ground_6 => GND,
            Ground_7 => GND,
            Ground_8 => GND,
            Ground_9 => GND,
            Ground_10 => GND,
            Ground_11 => GND,
            Ground_12 => GND,
            Ground_13 => GND,
            Ground_14 => GND,
            Ground_15 => GND,
            Ground_16 => GND,
            Ground_17 => GND,
            Ground_18 => GND,
            Ground_19 => GND,
            Ground_20 => GND,
            Ground_21 => GND,
            Ground_22 => GND,
            Ground_23 => GND,
            Ground_24 => GND,
            Ground_25 => GND,
            Ground_26 => GND,
            Ground_27 => GND,
            Ground_28 => GND,
            Ground_29 => GND,
            Ground_30 => GND,
            Ground_31 => GND,
            Ground_32 => GND,
            Ground_33 => GND,
            Ground_34 => GND,
            Ground_35 => GND,
            Ground_36 => GND,
            Ground_37 => GND
        );
    XCMP2 : virtex4_mi_part
        port map(
            IO_L1P_GC_LC_4 => PCICLK,
            IO_L1N_GC_LC_4 => open,
            IO_L2P_GC_LC_4 => open,
            IO_L2N_GC_LC_4 => open,
            IO_L3P_GC_LC_4 => open,
            IO_L3N_GC_LC_4 => open,
            IO_L4P_GC_LC_4 => RSTN,
            IO_L4N_GC_VREF_LC_4 => open,
            IO_L5P_GC_LC_4 => open,
            IO_L5N_GC_LC_4 => open,
            IO_L6P_GC_LC_4 => open,
            IO_L6N_GC_LC_4 => open,
            IO_L7P_GC_VRN_LC_4 => open,
            IO_L7N_GC_VRP_LC_4 => open,
            IO_L8P_GC_CC_LC_4 => open,
            IO_L8N_GC_CC_LC_4 => open,
            IO_L1P_5 => open,
            IO_L1N_5 => open,
            IO_L2P_5 => open,
            IO_L2N_5 => open,
            IO_L3P_5 => open,
            IO_L3N_5 => open,
            IO_L4P_5 => open,
            IO_L4N_VREF_5 => open,
            IO_L5P_5 => open,
            IO_L5N_5 => XSIG010316,
            IO_L6P_5 => XSIG010317,
            IO_L6N_5 => XSIG010318,
            IO_L7P_5 => XSIG010319,
            IO_L7N_5 => XSIG010320,
            IO_L8P_CC_LC_5 => XSIG010321,
            IO_L8N_CC_LC_5 => XSIG010322,
            IO_L17P_5 => XSIG010323,
            IO_L17N_5 => XSIG010324,
            IO_L18P_5 => XSIG010325,
            IO_L18N_5 => XSIG010326,
            IO_L19P_5 => XSIG010327,
            IO_L19N_5 => XSIG010328,
            IO_L20P_5 => XSIG010329,
            IO_L20N_VREF_5 => XSIG010330,
            IO_L21P_5 => XSIG010331,
            IO_L21N_5 => XSIG010332,
            IO_L22P_5 => XSIG010333,
            IO_L22N_5 => XSIG010334,
            IO_L23P_VRN_5 => XSIG010335,
            IO_L23N_VRP_5 => XSIG010336,
            IO_L24P_CC_LC_5 => XSIG010337,
            IO_L24N_CC_LC_5 => XSIG010338,
            IO_L9P_CC_LC_5 => XSIG010339,
            IO_L9N_CC_LC_5 => XSIG010340,
            IO_L10P_5 => XSIG010341,
            IO_L10N_5 => XSIG010342,
            IO_L11P_5 => XSIG010343,
            IO_L11N_5 => XSIG010344,
            IO_L12P_5 => XSIG010345,
            IO_L12N_VREF_5 => XSIG010346,
            IO_L13P_5 => XSIG010347,
            IO_L13N_5 => XSIG010348,
            IO_L14P_5 => XSIG010349,
            IO_L14N_5 => XSIG010350,
            IO_L15P_5 => XSIG010351,
            IO_L15N_5 => XSIG010352,
            IO_L16P_5 => XSIG010353,
            IO_L16N_5 => XSIG010354,
            IO_L25P_CC_LC_5 => FOCLKNET,
            IO_L25N_CC_LC_5 => open,
            IO_L26P_5 => open,
            IO_L26N_5 => open,
            IO_L27P_5 => open,
            IO_L27N_5 => open,
            IO_L28P_5 => open,
            IO_L28N_VREF_5 => open,
            IO_L29P_5 => XSIG010381,
            IO_L29N_5 => XSIG010382,
            IO_L30P_5 => XSIG010383,
            IO_L30N_5 => XSIG010384,
            IO_L31P_5 => XSIG010385,
            IO_L31N_5 => XSIG010386,
            IO_L32P_5 => XSIG010387,
            IO_L32N_5 => XSIG010388
        );
    XCMP3 : virtex4_mi_part
        port map(
            IO_L1P_6 => open,
            IO_L1N_6 => open,
            IO_L2P_6 => open,
            IO_L2N_6 => open,
            IO_L3P_6 => open,
            IO_L3N_6 => open,
            IO_L4P_6 => open,
            IO_L4N_VREF_6 => open,
            IO_L5P_6 => open,
            IO_L5N_6 => open,
            IO_L6P_6 => open,
            IO_L6N_6 => open,
            IO_L7P_6 => open,
            IO_L7N_6 => open,
            IO_L8P_CC_LC_6 => open,
            IO_L8N_CC_LC_6 => open,
            IO_L17P_6 => open,
            IO_L17N_6 => open,
            IO_L18P_6 => open,
            IO_L18N_6 => open,
            IO_L19P_6 => open,
            IO_L19N_6 => open,
            IO_L20P_6 => open,
            IO_L20N_VREF_6 => XSIG010423,
            IO_L21P_6 => open,
            IO_L21N_6 => open,
            IO_L22P_6 => open,
            IO_L22N_6 => open,
            IO_L23P_VRN_6 => open,
            IO_L23N_VRP_6 => open,
            IO_L24P_CC_LC_6 => open,
            IO_L24N_CC_LC_6 => open,
            IO_L9P_CC_LC_6 => open,
            IO_L9N_CC_LC_6 => open,
            IO_L10P_6 => open,
            IO_L10N_6 => open,
            IO_L11P_6 => open,
            IO_L11N_6 => open,
            IO_L12P_6 => open,
            IO_L12N_VREF_6 => open,
            IO_L13P_6 => open,
            IO_L13N_6 => open,
            IO_L14P_6 => open,
            IO_L14N_6 => open,
            IO_L15P_6 => open,
            IO_L15N_6 => open,
            IO_L16P_6 => open,
            IO_L16N_6 => open,
            IO_L25P_CC_LC_6 => open,
            IO_L25N_CC_LC_6 => XSIG010424,
            IO_L26P_6 => XSIG010425,
            IO_L26N_6 => XSIG010426,
            IO_L27P_6 => open,
            IO_L27N_6 => open,
            IO_L28P_6 => open,
            IO_L28N_VREF_6 => open,
            IO_L29P_6 => open,
            IO_L29N_6 => open,
            IO_L30P_6 => open,
            IO_L30N_6 => LEDBUS(1),
            IO_L31P_6 => LEDBUS(2),
            IO_L31N_6 => LEDBUS(3),
            IO_L32P_6 => LEDBUS(4),
            IO_L32N_6 => LEDBUS(5),
            IO_L25P_CC_SM7_LC_7 => AD(0),
            IO_L25N_CC_SM7_LC_7 => AD(1),
            IO_L26P_SM6_7 => AD(2),
            IO_L26N_SM6_7 => AD(3),
            IO_L27P_SM5_7 => AD(4),
            IO_L27N_SM5_7 => AD(5),
            IO_L28P_7 => AD(6),
            IO_L28N_VREF_7 => AD(7),
            IO_L29P_SM4_7 => AD(8),
            IO_L29N_SM4_7 => AD(9),
            IO_L30P_SM3_7 => AD(10),
            IO_L30N_SM3_7 => AD(11),
            IO_L31P_SM2_7 => AD(12),
            IO_L31N_SM2_7 => AD(13),
            IO_L32P_SM1_7 => AD(14),
            IO_L32N_SM1_7 => AD(15),
            IO_L17P_7 => AD(16),
            IO_L17N_7 => AD(17),
            IO_L18P_7 => AD(18),
            IO_L18N_7 => AD(19),
            IO_L19P_7 => AD(20),
            IO_L19N_7 => AD(21),
            IO_L20P_7 => AD(22),
            IO_L20N_VREF_7 => AD(23),
            IO_L21P_7 => AD(24),
            IO_L21N_7 => AD(25),
            IO_L22P_7 => AD(26),
            IO_L22N_7 => AD(27),
            IO_L23P_VRN_7 => AD(28),
            IO_L23N_VRP_7 => AD(29),
            IO_L24P_CC_LC_7 => AD(30),
            IO_L24N_CC_LC_7 => AD(31),
            IO_L1P_7 => AD(32),
            IO_L1N_7 => AD(33),
            IO_L2P_7 => AD(34),
            IO_L2N_7 => AD(35),
            IO_L3P_7 => AD(36),
            IO_L3N_7 => AD(37),
            IO_L4P_7 => AD(38),
            IO_L4N_VREF_7 => AD(39),
            IO_L5P_7 => AD(40),
            IO_L5N_7 => AD(41),
            IO_L6P_7 => AD(42),
            IO_L6N_7 => AD(43),
            IO_L7P_7 => AD(44),
            IO_L7N_7 => AD(45),
            IO_L8P_CC_LC_7 => AD(46),
            IO_L8N_CC_LC_7 => AD(47),
            IO_L9P_CC_LC_7 => open,
            IO_L9N_CC_LC_7 => open,
            IO_L10P_7 => open,
            IO_L10N_7 => open,
            IO_L11P_7 => open,
            IO_L11N_7 => open,
            IO_L12P_7 => open,
            IO_L12N_VREF_7 => open,
            IO_L13P_7 => open,
            IO_L13N_7 => open,
            IO_L14P_7 => open,
            IO_L14N_7 => open,
            IO_L15P_7 => open,
            IO_L15N_7 => open,
            IO_L16P_7 => open,
            IO_L16N_7 => open
        );
    XCMP8 : virtex4_mi_part
        port map(
            IO_L25P_CC_LC_8 => CBEN(0),
            IO_L25N_CC_LC_8 => CBEN(1),
            IO_L26P_8 => CBEN(2),
            IO_L26N_8 => CBEN(3),
            IO_L27P_8 => CBEN(4),
            IO_L27N_8 => CBEN(5),
            IO_L28P_8 => CBEN(6),
            IO_L28N_VREF_8 => CBEN(7),
            IO_L29P_8 => TRSTN,
            IO_L29N_8 => ACK64N,
            IO_L30P_8 => DEVSELN,
            IO_L30N_8 => FRAMEN,
            IO_L31P_8 => GNTN,
            IO_L31N_8 => IDSEL,
            IO_L32P_8 => INTAN,
            IO_L32N_8 => INTBN,
            IO_L17P_8 => INTCN,
            IO_L17N_8 => INTDN,
            IO_L18P_8 => IRDYN,
            IO_L18N_8 => LOCKN,
            IO_L19P_8 => M66EN,
            IO_L19N_8 => PAR,
            IO_L20P_8 => PAR64,
            IO_L20N_VREF_8 => PERRN,
            IO_L21P_8 => PMEN,
            IO_L21N_8 => PRSNT1N,
            IO_L22P_8 => PRSNT2N,
            IO_L22N_8 => REQN,
            IO_L23P_VRN_8 => REQ64N,
            IO_L23N_VRP_8 => open,
            IO_L24P_CC_LC_8 => open,
            IO_L24N_CC_LC_8 => open,
            IO_L1P_8 => open,
            IO_L1N_8 => open,
            IO_L2P_8 => open,
            IO_L2N_8 => open,
            IO_L3P_8 => open,
            IO_L3N_8 => open,
            IO_L4P_8 => open,
            IO_L4N_VREF_8 => open,
            IO_L5P_8 => open,
            IO_L5N_8 => open,
            IO_L6P_8 => open,
            IO_L6N_8 => open,
            IO_L7P_8 => open,
            IO_L7N_8 => open,
            IO_L8P_CC_LC_8 => open,
            IO_L8N_CC_LC_8 => open,
            IO_L9P_CC_LC_8 => open,
            IO_L9N_CC_LC_8 => open,
            IO_L10P_8 => open,
            IO_L10N_8 => open,
            IO_L11P_8 => open,
            IO_L11N_8 => open,
            IO_L12P_8 => open,
            IO_L12N_VREF_8 => open,
            IO_L13P_8 => open,
            IO_L13N_8 => SERRN,
            IO_L14P_8 => STOPN,
            IO_L14N_8 => PCI_TCK,
            IO_L15P_8 => PCI_TDI,
            IO_L15N_8 => PCI_TDO,
            IO_L16P_8 => PCI_TMS,
            IO_L16N_8 => PCI_TRDYN,
            IO_L17P_9 => AD(48),
            IO_L17N_9 => AD(49),
            IO_L18P_9 => AD(50),
            IO_L18N_9 => AD(51),
            IO_L19P_9 => AD(52),
            IO_L19N_9 => AD(53),
            IO_L20P_9 => AD(54),
            IO_L20N_VREF_9 => AD(55),
            IO_L21P_9 => AD(56),
            IO_L21N_9 => AD(57),
            IO_L22P_9 => AD(58),
            IO_L22N_9 => AD(59),
            IO_L23P_VRN_9 => AD(60),
            IO_L23N_VRP_9 => AD(61),
            IO_L24P_CC_LC_9 => AD(62),
            IO_L24N_CC_LC_9 => AD(63),
            IO_L1P_9 => open,
            IO_L1N_9 => open,
            IO_L2P_9 => open,
            IO_L2N_9 => open,
            IO_L3P_9 => open,
            IO_L3N_9 => open,
            IO_L4P_9 => open,
            IO_L4N_VREF_9 => open,
            IO_L5P_9 => open,
            IO_L5N_9 => open,
            IO_L6P_9 => open,
            IO_L6N_9 => open,
            IO_L7P_9 => open,
            IO_L7N_9 => open,
            IO_L8P_CC_LC_9 => open,
            IO_L8N_CC_LC_9 => open,
            IO_L9P_CC_LC_9 => open,
            IO_L9N_CC_LC_9 => open,
            IO_L10P_9 => open,
            IO_L10N_9 => open,
            IO_L11P_9 => open,
            IO_L11N_9 => open,
            IO_L12P_9 => open,
            IO_L12N_VREF_9 => open,
            IO_L13P_9 => open,
            IO_L13N_9 => open,
            IO_L14P_9 => open,
            IO_L14N_9 => open,
            IO_L15P_9 => open,
            IO_L15N_9 => open,
            IO_L16P_9 => open,
            IO_L16N_9 => open,
            IO_L25P_CC_LC_9 => open,
            IO_L25N_CC_LC_9 => open,
            IO_L26P_9 => open,
            IO_L26N_9 => open,
            IO_L27P_9 => open,
            IO_L27N_9 => open,
            IO_L28P_9 => open,
            IO_L28N_VREF_9 => open,
            IO_L29P_9 => open,
            IO_L29N_9 => open,
            IO_L30P_9 => open,
            IO_L30N_9 => open,
            IO_L31P_9 => open,
            IO_L31N_9 => open,
            IO_L32P_9 => open,
            IO_L32N_9 => open
        );
    XCMP10 : RES
        port map(
            B1 => XSIG010259,
            B2 => GND
        );
    XCMP11 : MinDiode
        port map(
            x_1 => LEDBUS(4),
            x_2 => XSIG010260
        );
    XCMP12 : RES
        port map(
            B1 => XSIG010260,
            B2 => GND
        );
    XCMP13 : MinDiode
        port map(
            x_1 => LEDBUS(3),
            x_2 => XSIG010261
        );
    XCMP14 : RES
        port map(
            B1 => XSIG010261,
            B2 => GND
        );
    XCMP15 : MinDiode
        port map(
            x_1 => LEDBUS(2),
            x_2 => XSIG010262
        );
    XCMP16 : RES
        port map(
            B1 => XSIG010262,
            B2 => GND
        );
    XCMP17 : MinDiode
        port map(
            x_1 => LEDBUS(1),
            x_2 => XSIG010268
        );
    XCMP18 : RES
        port map(
            B1 => XSIG010268,
            B2 => GND
        );
    XCMP19 : MinDiode
        port map(
            x_1 => LEDBUS(5),
            x_2 => XSIG010259
        );
    XCMP20 : CMC_SIU_1
        port map(
            BUSMODE1_pn => XSIG010316,
            FBCTRL_N => XSIG010317,
            FBD00 => XSIG010318,
            FBD01 => XSIG010319,
            FBD02 => XSIG010320,
            FBD03 => XSIG010321,
            FBD04 => XSIG010322,
            FBD05 => XSIG010323,
            FBD06 => XSIG010324,
            FBD07 => XSIG010325,
            FBD08 => XSIG010326,
            FBD09 => XSIG010327,
            FBD10 => XSIG010328,
            FBD11 => XSIG010329,
            FBD12 => XSIG010330,
            FBD13 => XSIG010331,
            FBD14 => XSIG010332,
            FBD15 => XSIG010333,
            FBD16 => XSIG010334,
            FBD17 => XSIG010335,
            FBD18 => XSIG010336,
            FBD19 => XSIG010337,
            FBD20 => XSIG010338,
            FBD21 => XSIG010339,
            FBD22 => XSIG010340,
            FBD23 => XSIG010341,
            FBD24 => XSIG010342,
            FBD25 => XSIG010343,
            FBD26 => XSIG010344,
            FBD27 => XSIG010345,
            FBD28 => XSIG010346,
            FBD29 => XSIG010347,
            FBD30 => XSIG010348,
            FBD31 => XSIG010349,
            FBTEN_N => XSIG010350,
            FIBEN_N => XSIG010351,
            FIDIR => XSIG010352,
            FILF_N => XSIG010353,
            FOBSY_N => XSIG010354,
            FOCLK => FOCLKNET
        );
    XCMP21 : CMC_SIU_2
        port map(
            BUSMODE2_pn => XSIG010381,
            BUSMODE3_pn => XSIG010382,
            BUSMODE4_pn => XSIG010383,
            TAP_TCK => XSIG010384,
            TAP_TDI => XSIG010385,
            TAP_TDO => XSIG010386,
            TAP_TMS => XSIG010387,
            TAP_TRST => XSIG010388
        );
    DUMMYRES1 : RES
        port map(
            B1 => open,
            B2 => XSIG010423
        );
    DUMMYRES2 : RES
        port map(
            B1 => open,
            B2 => XSIG010424
        );
    DUMMYRES3 : RES
        port map(
            B1 => open,
            B2 => XSIG010425
        );
    DUMMYRES4 : RES
        port map(
            B1 => open,
            B2 => XSIG010426
        );
end PCI_mi_interfacing;

library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.std_logic_arith.all;

use work.CDB2VHDL_GLOBAL_SIGNALS.all;

entity DIU_mi_interfacing is
end DIU_mi_interfacing;

architecture DIU_mi_interfacing of DIU_mi_interfacing is
    -- Component declarations
    component CMC_SIU_1
        port(
            GND_04 : in std_logic;
            GND_01 : in std_logic;
            GND_02 : in std_logic;
            GND_03 : in std_logic;
            GND_05 : in std_logic;
            GND_06 : in std_logic;
            GND_07 : in std_logic;
            GND_08 : in std_logic;
            GND_09 : in std_logic;
            GND_10 : in std_logic;
            GND_11 : in std_logic;
            GND_12 : in std_logic;
            GND_13 : in std_logic
        );
    end component;
    component CMC_SIU_2
        port(
            GND_1 : in std_logic;
            GND_10 : in std_logic;
            GND_11 : in std_logic;
            GND_12 : in std_logic;
            GND_13 : in std_logic;
            GND_2 : in std_logic;
            GND_3 : in std_logic;
            GND_4 : in std_logic;
            GND_5 : in std_logic;
            GND_6 : in std_logic;
            GND_7 : in std_logic;
            GND_8 : in std_logic;
            GND_9 : in std_logic
        );
    end component;
    component MinJumper
        port(
            x_1 : in std_logic;
            x_2 : in std_logic
        );
    end component;
    -- Signal declarations
    signal MIN12_DIU : std_logic;
    signal PLUS12_DIU : std_logic;
    signal x_5_V_DIU : std_logic;
begin
    -- Signal assignments
    -- Component instances
    XCMP2 : CMC_SIU_1
        port map(
            GND_04 => GND,
            GND_01 => GND,
            GND_02 => GND,
            GND_03 => GND,
            GND_05 => GND,
            GND_06 => GND,
            GND_07 => GND,
            GND_08 => GND,
            GND_09 => GND,
            GND_10 => GND,
            GND_11 => GND,
            GND_12 => GND,
            GND_13 => GND
        );
    XCMP3 : CMC_SIU_1
        port map(
            V => VCCO,
            V => VCCO,
            V => VCCO,
            V => VCCO,
            mi_12V => MIN12_DIU,
            pl_5V_1 => x_5_V_DIU,
            pl_5V_2 => x_5_V_DIU,
            pl_5V_3 => x_5_V_DIU,
            pl_5V_4 => x_5_V_DIU,
            pl_5V_5 => x_5_V_DIU,
            pl_5V_6 => x_5_V_DIU
        );
    XCMP5 : CMC_SIU_2
        port map(
            GND_1 => GND,
            GND_10 => GND,
            GND_11 => GND,
            GND_12 => GND,
            GND_13 => GND,
            GND_2 => GND,
            GND_3 => GND,
            GND_4 => GND,
            GND_5 => GND,
            GND_6 => GND,
            GND_7 => GND,
            GND_8 => GND,
            GND_9 => GND
        );
    XCMP6 : CMC_SIU_2
        port map(
            pl_12V_ub(1) => PLUS12_DIU,
            pl_3_pd_3V_1 => VCCO,
            pl_3_pd_3V_2 => VCCO,
            pl_3_pd_3V_3 => VCCO,
            pl_3_pd_3V_4 => VCCO,
            pl_3_pd_3V_5 => VCCO,
            pl_3_pd_3V_6 => VCCO,
            pl_3_pd_3V_7 => VCCO,
            pl_3_pd_3V_8 => VCCO,
            pl_3_pd_3V_9 => VCCO
        );
    XCMP49 : MinJumper
        port map(
            x_1 => x_5_V_DIU,
            x_2 => VCC
        );
    XCMP50 : MinJumper
        port map(
            x_1 => MIN12_DIU,
            x_2 => mi_12V
        );
    XCMP51 : MinJumper
        port map(
            x_1 => pl_12V,
            x_2 => PLUS12_DIU
        );
end DIU_mi_interfacing;

library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.std_logic_arith.all;

use work.CDB2VHDL_GLOBAL_SIGNALS.all;

entity JTAG is
end JTAG;

architecture JTAG of JTAG is
    -- Component declarations
    component virtex4_mi_part
        port(
            TDP_0 : inout std_logic;
            HSWAPEN_0 : inout std_logic;
            CCLK_0 : inout std_logic;
            D_IN_0 : inout std_logic;
            PROGRAM_B_0 : inout std_logic;
            INIT_0 : inout std_logic;
            CS_B_0 : inout std_logic;
            DONE_0 : inout std_logic;
            RDWR_B_0 : inout std_logic;
            VBATT_0 : inout std_logic;
            M2_0 : inout std_logic;
            PWRDWN_B_0 : inout std_logic;
            TMS_0 : inout std_logic;
            M0_0 : inout std_logic;
            TDO_0 : inout std_logic;
            TCK_0 : inout std_logic;
            M1_0 : inout std_logic;
            DOUT_BUSY_0 : inout std_logic;
            TDI_0 : inout std_logic;
            TDN_0 : inout std_logic;
            IO_L1P_D31_LC_1 : inout std_logic;
            IO_L1N_D30_LC_1 : inout std_logic;
            IO_L2P_D29_LC_1 : inout std_logic;
            IO_L2N_D28_LC_1 : inout std_logic;
            IO_L3P_D27_LC_1 : inout std_logic;
            IO_L3N_D26_LC_1 : inout std_logic;
            IO_L4P_D25_LC_1 : inout std_logic;
            IO_L4N_D24_VREF_LC_1 : inout std_logic;
            IO_L5P_D23_LC_1 : inout std_logic;
            IO_L5N_D22_LC_1 : inout std_logic;
            IO_L6P_D21_LC_1 : inout std_logic;
            IO_L6N_D20_LC_1 : inout std_logic;
            IO_L7P_D19_LC_1 : inout std_logic;
            IO_L7N_D18_LC_1 : inout std_logic;
            IO_L8P_D17_CC_LC_1 : inout std_logic;
            IO_L8N_D16_CC_LC_1 : inout std_logic
        );
    end component;
    component JTAG_mi_header
        port(
            x_1 : in std_logic;
            x_3 : in std_logic;
            x_5 : in std_logic;
            x_7 : in std_logic;
            x_9 : in std_logic;
            x_2 : in std_logic;
            x_4 : in std_logic;
            x_6 : in std_logic;
            x_8 : in std_logic;
            x_1_0 : in std_logic
        );
    end component;
    component RES
        port(
            B1 : inout std_logic;
            B2 : inout std_logic
        );
    end component;
    component Oscillator
        port(
            VDD : in std_logic;
            EN : in std_logic;
            OUTPUT : out std_logic;
            GND : out std_logic
        );
    end component;
    component Flashrom
        port(
            D0 : out std_logic;
            DNC1 : inout std_logic;
            CLK : in std_logic;
            TDI : in std_logic;
            TMS : in std_logic;
            TCK : in std_logic;
            CF_N : out std_logic;
            OE_RESET_N : inout std_logic;
            DNC2 : inout std_logic;
            CE_N : in std_logic;
            VCCJ : in std_logic;
            VCCO : in std_logic;
            VCCINT : out std_logic;
            TDO : out std_logic;
            DNC3 : inout std_logic;
            DNC4 : inout std_logic;
            DNC5 : inout std_logic;
            CEO_N : out std_logic;
            DNC6 : inout std_logic;
            GND : in std_logic
        );
    end component;
    -- Signal declarations
    signal CCLK : std_logic;
    signal DIN : std_logic;
    signal DONE : std_logic;
    signal INIT_0 : std_logic;
    signal OSCCLK : std_logic;
    signal PROGRAM_B : std_logic;
    signal TCK : std_logic;
    signal TDI : std_logic;
    signal TDO : std_logic;
    signal TMS : std_logic;
    signal XSIG010010 : std_logic;
    signal XSIG010014 : std_logic;
    signal XSIG010019 : std_logic;
    signal XSIG010026 : std_logic;
    signal XSIG010027 : std_logic;
begin
    -- Signal assignments
    -- Component instances
    XCMP1 : virtex4_mi_part
        port map(
            TDP_0 => open,
            HSWAPEN_0 => XSIG010010,
            CCLK_0 => CCLK,
            D_IN_0 => DIN,
            PROGRAM_B_0 => PROGRAM_B,
            INIT_0 => INIT_0,
            CS_B_0 => open,
            DONE_0 => DONE,
            RDWR_B_0 => open,
            VBATT_0 => open,
            M2_0 => open,
            PWRDWN_B_0 => open,
            TMS_0 => TMS,
            M0_0 => open,
            TDO_0 => TDO,
            TCK_0 => TCK,
            M1_0 => open,
            DOUT_BUSY_0 => open,
            TDI_0 => TDI,
            TDN_0 => open,
            IO_L1P_D31_LC_1 => open,
            IO_L1N_D30_LC_1 => open,
            IO_L2P_D29_LC_1 => open,
            IO_L2N_D28_LC_1 => open,
            IO_L3P_D27_LC_1 => open,
            IO_L3N_D26_LC_1 => open,
            IO_L4P_D25_LC_1 => open,
            IO_L4N_D24_VREF_LC_1 => open,
            IO_L5P_D23_LC_1 => open,
            IO_L5N_D22_LC_1 => open,
            IO_L6P_D21_LC_1 => open,
            IO_L6N_D20_LC_1 => open,
            IO_L7P_D19_LC_1 => open,
            IO_L7N_D18_LC_1 => open,
            IO_L8P_D17_CC_LC_1 => open,
            IO_L8N_D16_CC_LC_1 => open
        );
    XCMP2 : JTAG_mi_header
        port map(
            x_1 => TCK,
            x_3 => TDO,
            x_5 => TMS,
            x_7 => open,
            x_9 => XSIG010019,
            x_2 => open,
            x_4 => open,
            x_6 => open,
            x_8 => open,
            x_1_0 => open
        );
    XCMP3 : RES
        port map(
            B1 => VCCO,
            B2 => XSIG010019
        );
    XCMP4 : RES
        port map(
            B1 => VCCO,
            B2 => TDO
        );
    XCMP5 : RES
        port map(
            B1 => VCCO,
            B2 => TMS
        );
    XCMP6 : RES
        port map(
            B1 => VCCO,
            B2 => XSIG010010
        );
    XCMP7 : virtex4_mi_part
        port map(
            IO_L8N_D0_LC_2 => open,
            IO_L1P_D15_CC_LC_2 => open,
            IO_L1N_D14_CC_LC_2 => open,
            IO_L2P_D13_LC_2 => open,
            IO_L2N_D12_LC_2 => open,
            IO_L3P_D11_LC_2 => open,
            IO_L3N_D10_LC_2 => open,
            IO_L4P_D9_LC_2 => open,
            IO_L4N_D8_VREF_LC_2 => open,
            IO_L5P_D7_LC_2 => open,
            IO_L5N_D6_LC_2 => open,
            IO_L6P_D5_LC_2 => open,
            IO_L6N_D4_LC_2 => open,
            IO_L7P_D3_LC_2 => open,
            IO_L7N_D2_LC_2 => open,
            IO_L8P_D1_LC_2 => open,
            IO_L1P_GC_CC_LC_3 => open,
            IO_L1N_GC_CC_LC_3 => open,
            IO_L2P_GC_VRN_LC_3 => open,
            IO_L2N_GC_VRP_LC_3 => open,
            IO_L3P_GC_LC_3 => open,
            IO_L3N_GC_LC_3 => open,
            IO_L4P_GC_LC_3 => open,
            IO_L4N_GC_VREF_LC_3 => open,
            IO_L5P_GC_LC_3 => OSCCLK,
            IO_L5N_GC_LC_3 => XSIG010014,
            IO_L6P_GC_LC_3 => open,
            IO_L6N_GC_LC_3 => open,
            IO_L7P_GC_LC_3 => open,
            IO_L7N_GC_LC_3 => open,
            IO_L8P_GC_LC_3 => open,
            IO_L8N_GC_LC_3 => open
        );
    XCMP10 : RES
        port map(
            B1 => VCCO,
            B2 => XSIG010014
        );
    XCMP11 : Oscillator
        port map(
            VDD => VCCO,
            EN => XSIG010014,
            OUTPUT => OSCCLK,
            GND => GND
        );
    XCMP13 : Flashrom
        port map(
            D0 => open,
            DNC1 => open,
            CLK => CCLK,
            TDI => XSIG010019,
            TMS => TMS,
            TCK => TCK,
            CF_N => PROGRAM_B,
            OE_RESET_N => INIT_0,
            DNC2 => open,
            CE_N => XSIG010026,
            VCCJ => VCCO,
            VCCO => VCCO,
            VCCINT => VCCINT,
            TDO => XSIG010027,
            DNC3 => open,
            DNC4 => open,
            DNC5 => open,
            CEO_N => open,
            DNC6 => open,
            GND => GND
        );
    XCMP14 : Flashrom
        port map(
            D0 => DIN,
            DNC1 => open,
            CLK => CCLK,
            TDI => XSIG010027,
            TMS => TMS,
            TCK => TCK,
            CF_N => PROGRAM_B,
            OE_RESET_N => INIT_0,
            DNC2 => open,
            CE_N => DONE,
            VCCJ => VCCO,
            VCCO => VCCO,
            VCCINT => VCCINT,
            TDO => TDI,
            DNC3 => open,
            DNC4 => open,
            DNC5 => open,
            CEO_N => XSIG010026,
            DNC6 => open,
            GND => GND
        );
    XCMP15 : RES
        port map(
            B1 => VCCO,
            B2 => PROGRAM_B
        );
    XCMP16 : RES
        port map(
            B1 => VCCO,
            B2 => DONE
        );
    XCMP17 : RES
        port map(
            B1 => VCCO,
            B2 => INIT_0
        );
    XCMP18 : RES
        port map(
            B1 => VCCO,
            B2 => CCLK
        );
    XCMP19 : RES
        port map(
            B1 => CCLK,
            B2 => GND
        );
end JTAG;

library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.std_logic_arith.all;

use work.CDB2VHDL_GLOBAL_SIGNALS.all;

entity toppskjema is
end toppskjema;

architecture toppskjema of toppskjema is
    -- Component declarations
    component Avkopling
    end component;
    component Regulering
    end component;
    component Xilinx_mi_power
    end component;
    component PCI_mi_interfacing
    end component;
    component DIU_mi_interfacing
    end component;
    component JTAG
    end component;
    -- Signal declarations
begin
    -- Signal assignments
    -- Component instances
    Avkopling1 : Avkopling;
    Regulering1 : Regulering;
    Xilinx_mi_power1 : Xilinx_mi_power;
    PCI_mi_interfacing1 : PCI_mi_interfacing;
    DIU_mi_interfacing1 : DIU_mi_interfacing;
    JTAG1 : JTAG;
end toppskjema;
